<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGamesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('games', function (Blueprint $table) {
            $table->id();
            $table->foreignId('host_id');
            $table->foreign('host_id')
                ->references('id')
                ->on('users')
                ->onDelete('cascade');
            $table->foreignId('opponent_id');
            $table->foreign('opponent_id')
                ->references('id')
                ->on('users')
                ->onDelete('cascade');
            $table->boolean('is_host_turn')
                ->default(false);
            $table->enum('status',
                [
                    'pending',
                    'rejected',
                    'ongoing',
                    'win',
                    'lose',
                    'tie'
                ]
            )
                ->default('pending');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('games');
    }
}
