<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::post('/register', [\App\Http\Controllers\API\AuthController::class, 'register']);
Route::post('/login', [\App\Http\Controllers\API\AuthController::class, 'login']);

Route::prefix('games')->middleware('auth:api')->group(function () {
    Route::get('/', [\App\Http\Controllers\API\GameController::class, 'list']);
    Route::post('/create', [\App\Http\Controllers\API\GameController::class, 'create']);
    Route::get('/{id}', [\App\Http\Controllers\API\GameController::class, 'show']);
    Route::get('/accept/{id}', [\App\Http\Controllers\API\GameController::class, 'accept']);
    Route::get('/reject/{id}', [\App\Http\Controllers\API\GameController::class, 'reject']);
    Route::post('/move/{id}', [\App\Http\Controllers\API\GameController::class, 'move']);
});
